﻿// TestCaseGeneratorUI
// (c)2007 Mark Bulmahn. mBulmahn@web.de
// License: GPL 2.0
// Project: TestCaseGenerator. http://www.codeplex.com/TestCaseGenerator

using System;
using System.Collections.Generic;
using System.Windows.Forms;
using TestCaseModel;
using AppCore;

namespace TestCaseGenerator
{
    static class Program
    {
        /// <summary>
        /// Der Haupteinstiegspunkt für die Anwendung.
        /// </summary>
        [STAThread]
        static void Main(string[] args)
        {
            Application.ApplicationExit += new EventHandler(Application_ApplicationExit);
            Application.EnableVisualStyles();
            AppGlobal.Args = args;
            AppGlobal.Init();
            TestCaseModel.GlobalSettings.GeneratorToUse = (GlobalSettings.TcGenerator)
                Properties.Settings.Default.GeneratorToUse;
            Application.SetCompatibleTextRenderingDefault(false);
            Application.Run(new FrmMain());
        }

        static void Application_ApplicationExit(object sender, EventArgs e)
        {
            AppGlobal.Shutdown();
        }
   }
}