﻿using System;
using System.Collections;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using TestCaseModel;

namespace WFTest
{
    public partial class _Default : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {

        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            TestModel tm = (TestModel)Session["tm"];
            tm.GenerateTestCases();
            gridTestCases.DataSource = tm.TestCases;
            gridTestCases.DataBind();
        }

        protected void butLoadModel_Click(object sender, EventArgs e)
        {
            string fn = Server.MapPath("~/App_Data/LoginDialog.TestModel");
            TestModel tm = TestModel.CreateFromXml(fn);
            lblModelFileName.Text = tm.TestDescription;
            Session.Add("tm", tm);
        }

        protected void butApplyRules_Click(object sender, EventArgs e)
        {
            TestModel tm = (TestModel)Session["tm"];
            tm.ApplyResultRules();
            gridTestCases.DataSource = tm.TestCases;
            gridTestCases.DataBind();
        }
    }
}
