// TestCaseGeneratorUI
// (c)2007 Mark Bulmahn. mBulmahn@web.de
// License: GPL 2.0
// Project: TestCaseGenerator. http://www.codeplex.com/TestCaseGenerator

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Microsoft.Data.ConnectionUI;

namespace TestCaseGenerator
{
    public partial class FrmExpMssql : Form
    {
        SqlConnectionProperties props = new SqlConnectionProperties();

        string connectionString = "";
        public string ConnectionString
        {
            get { return connectionString; }
        }

        string destTableName = "";
        public string DestTableName
        {
            get { return destTableName; }
        }

        public FrmExpMssql()
        {
            InitializeComponent();
        }

        private void FrmExpMssql_Load(object sender, EventArgs e)
        {
            sqlConnectionUIControl1.Initialize(props);
        }

        private void butOK_Click(object sender, EventArgs e)
        {
            if (textDestTableName.Text != "")
            {
                connectionString = props.ToFullString();
                destTableName = textDestTableName.Text;
                this.Close();
            }
            else
                MessageBox.Show("Bitte unbedingt einen Namen fr die Zieltabelle angeben\nFalls diese nicht existiert, wird sie neu erstellt.\nAchtung! Eine bestehende Tabelle mit diesem Namen wird gelscht!");            
        }

        private void butCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }
    }
}