// TestCaseModel
// (c)2007 Mark Bulmahn. mBulmahn@web.de
// License: GPL 2.0
// Project: TestCaseGenerator. http://www.codeplex.com/TestCaseGenerator

using System;
using System.Collections.Generic;
using System.Text;
using SerializationHelperLib;

namespace TestCaseModel
{
    /// <summary>
    /// A list of test case parameters that are used in a model to describe
    /// the possible states a testobject can take.
    /// </summary>
    [Serializable]
    public class Parameters : XmlSerializableDictionary<string, Parameter>
    {

    }
}
