using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace TestCaseGenerator
{
    public partial class FrmInputBox : Form
    {
        string inputText = "";
        public string InputText
        {
            get { return inputText; }
            set 
            { 
                inputText = value;
                textInput.Text = inputText;
            }
        }

        public FrmInputBox(string title, string prompt)
        {
            InitializeComponent();
            Text = title;
            labPrompt.Text = prompt;
        }

        private void butCancel_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void butOK_Click(object sender, EventArgs e)
        {
            inputText = textInput.Text;
            this.Close();
        }

        private void FrmInputBox_Shown(object sender, EventArgs e)
        {
            textInput.Text = inputText;
        }
    }
}