// TestCaseModel
// (c)2007 Mark Bulmahn. mBulmahn@web.de
// License: GPL 2.0
// Project: TestCaseGenerator. http://www.codeplex.com/TestCaseGenerator

using System;
using System.Collections.Generic;
using System.Text;
using SerializationHelperLib;

namespace TestCaseModel
{
    /// <summary>
    /// This class represents a series of testcase datatables. E.g. for variations of the
    /// same test model or scenarios.
    /// </summary>
    [Serializable]
    public class TestCaseTableStorage : XmlSerializableDictionary<string, TestCaseDataTable>
    {

    }
}
