﻿using System;
using System.Collections.Generic;
using System.Text;
using ConfigMgmtEx;

namespace AppCore
{
    public class AppGlobal
    {
        private static string[] args;
        public static string[] Args
        {
            get
            {
                return args;
            }
            set
            {
                args = value;
            }
        }

        private static ConfManager confMgr = null;
        public static ConfManager ConfMgr
        {
            get { return AppGlobal.confMgr; }
            set { AppGlobal.confMgr = value; }
        }

        public static void Init()
        {
            confMgr = new ConfManager();
        }

        public static void Shutdown()
        {
            confMgr.PersistChanges();
        }
    }
}
