﻿// DbProviderLib
// (c)2007 Mark Bulmahn. mBulmahn@web.de
// License: GPL 2.0
// Project: TestCaseGenerator. http://www.codeplex.com/TestCaseGenerator

using System;
using System.Collections.Generic;
using System.Text;
using System.Data;


namespace DbProviderLib
{
    /// <summary>
    /// An interface for any database provider class
    /// </summary>
    public interface IDbProvider
    {
        IDbConnection Connection { get; set; }

        IDbCommand GetCommand(string cmdText);

        IDataReader GetReader(string cmdText);

        IDbDataAdapter GetAdapter(string cmdText);
    }
}
