﻿// TestCaseModel
// (c)2007 Mark Bulmahn. mBulmahn@web.de
// License: GPL 2.0
// Project: TestCaseGenerator. http://www.codeplex.com/TestCaseGenerator

using System;
using System.Collections.Generic;
using System.Text;

namespace TestCaseModel
{
    /// <summary>
    /// This class is for some (at the moment - one) global setting
    /// </summary>
    public class GlobalSettings
    {
        public enum TcGenerator { MSPICT = 0, SIMPLE = 1 }

        /// <summary>
        /// This settings controls wich test case generator will be used.
        /// </summary>
        static TcGenerator generatorToUse = TcGenerator.MSPICT;
        public static TcGenerator GeneratorToUse
        {
            get { return GlobalSettings.generatorToUse; }
            set { GlobalSettings.generatorToUse = value; }
        }

    }
}
